USB Hard Drive Not Accessible, vol_id hangs

Bug #264789 reported by Jason Smith on 2008-09-04
392
This bug affects 46 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
High
Unassigned
Declined for Dapper by Steve Beattie
Declined for Gutsy by Steve Beattie
Declined for Hardy by Steve Beattie
Declined for Jaunty by Steve Beattie
Intrepid
High
Unassigned

Bug Description

I updated to 2.6.27-2 today, and one of my hard drives is no longer recognized. It is in a Vantec NexStar GX enclosure, and was working fine on .26, and continues to work fine on a Hardy machine. Here is the dmesg for it:

[ 6722.944029] usb 5-5: new high speed USB device using ehci_hcd and address 27
[ 6723.077863] usb 5-5: configuration #1 chosen from 1 choice
[ 6723.079511] hub 5-5:1.0: USB hub found
[ 6723.080345] hub 5-5:1.0: 4 ports detected
[ 6732.712034] usb 5-5: reset high speed USB device using ehci_hcd and address 27
[ 6733.124011] usb 5-5.1: new high speed USB device using ehci_hcd and address 28
[ 6733.364598] usb 5-5.1: configuration #1 chosen from 1 choice
[ 6733.365180] scsi17 : SCSI emulation for USB Mass Storage devices
[ 6733.365818] usb-storage: device found at 28
[ 6733.365830] usb-storage: waiting for device to settle before scanning
[ 6738.364276] usb-storage: device scan complete
[ 6738.361002] scsi 17:0:0:0: Direct-Access ST340063 2A 3.04 PQ: 0 ANSI: 0
[ 6738.361002] sd 17:0:0:0: [sdm] 781422769 512-byte hardware sectors (400088 MB)
[ 6738.361002] sd 17:0:0:0: [sdm] Write Protect is off
[ 6738.361002] sd 17:0:0:0: [sdm] Mode Sense: 03 00 00 00
[ 6738.361002] sd 17:0:0:0: [sdm] Assuming drive cache: write through
[ 6738.361002] sd 17:0:0:0: [sdm] 781422769 512-byte hardware sectors (400088 MB)
[ 6738.370354] sd 17:0:0:0: [sdm] Write Protect is off
[ 6738.370362] sd 17:0:0:0: [sdm] Mode Sense: 03 00 00 00
[ 6738.370365] sd 17:0:0:0: [sdm] Assuming drive cache: write through
[ 6738.371516] sdm: sdm1
[ 6738.418089] sd 17:0:0:0: [sdm] Attached SCSI disk
[ 6738.418995] sd 17:0:0:0: Attached scsi generic sg8 type 0
[ 6738.656598] sd 17:0:0:0: [sdm] Sense Key : No Sense [current]
[ 6738.656614] sd 17:0:0:0: [sdm] Add. Sense: No additional sense information

From there, the last 2 lines about Sense Key and Add Sense repeat over and over again.

The 4 port hub that is a part of the enclosure continues to work fine though, with a floppy drive, a printer, and another hard drive. I have a Vantec NexStar 3 enclosure as well, and it is working just fine. Dmesg for the working enclosure:

[ 4281.996024] usb 5-3: new high speed USB device using ehci_hcd and address 19
[ 4282.131863] usb 5-3: configuration #1 chosen from 1 choice
[ 4282.133222] scsi12 : SCSI emulation for USB Mass Storage devices
[ 4282.133561] usb-storage: device found at 19
[ 4282.133566] usb-storage: waiting for device to settle before scanning
[ 4287.132002] usb-storage: device scan complete
[ 4287.136004] scsi 12:0:0:0: Direct-Access ST375064 0AS PQ: 0 ANSI: 2
[ 4287.138368] sd 12:0:0:0: [sdi] 1465149168 512-byte hardware sectors (750156 MB)
[ 4287.144790] sd 12:0:0:0: [sdi] Write Protect is off
[ 4287.144800] sd 12:0:0:0: [sdi] Mode Sense: 38 00 00 00
[ 4287.144804] sd 12:0:0:0: [sdi] Assuming drive cache: write through
[ 4287.152388] sd 12:0:0:0: [sdi] 1465149168 512-byte hardware sectors (750156 MB)
[ 4287.154966] sd 12:0:0:0: [sdi] Write Protect is off
[ 4287.154975] sd 12:0:0:0: [sdi] Mode Sense: 38 00 00 00
[ 4287.154979] sd 12:0:0:0: [sdi] Assuming drive cache: write through
[ 4287.154988] sdi: sdi1
[ 4287.176965] sd 12:0:0:0: [sdi] Attached SCSI disk
[ 4287.177173] sd 12:0:0:0: Attached scsi generic sg7 type 0
[ 4289.129138] kjournald starting. Commit interval 5 seconds
[ 4289.130101] EXT3 FS on sdi1, internal journal
[ 4289.130110] EXT3-fs: mounted filesystem with ordered data mode.

Download full text (35.7 KiB)

I updated to 2.6.27-2 yesterday and one of my hard drives is no longer recognized.( 80 gig usb ext3) and continues to work fine on a Hardy machine. Here is the dmesg for it:
[82993.163288] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.164412] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.164423] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.165657] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.165668] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.166904] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.166914] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.168050] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.168061] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.169166] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.169178] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.170408] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.170420] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.171654] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.171664] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.172904] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.172915] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.174151] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.174161] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.175282] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.175293] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.176409] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.176421] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.177659] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.177669] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.178778] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.178788] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.179900] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.179909] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.181157] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.181168] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.182279] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.182289] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.183410] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.183421] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.184539] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.184549] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.185786] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.185796] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.187032] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.187042] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information
[82993.188165] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
[82993.188176] sd 6:0:0:0: [sdd] Add. Sense:...

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → High
status: New → Triaged
Jason Smith (sddfdds) wrote :

I plugged the hard drive from the non-working enclosure into my computer with a ata-usb adapter, and for a while everything was working fine. The drive mounted, I could access the data, and all that. But then oddly, sometime overnight, it became inaccessible and the Sense Key lines are now running in a loop in the dmesg again, so I don't know whats going on.

Jason Smith (sddfdds) wrote :

I installed beagle on this system, and last night when i posted the above, and again tonight, I realized that the Add Sense stuff was happening when beagle was stuck trying to index the same directory. Something funny with this directory seems to be confirmed because I tried to copy it to a different drive, which again set off the Add Senses. I was able to delete the directory though, so hopefully tomorrow when I try running beagle again, it will index everything successfully. I'm also going to re-run e2fsck even though it was successful before. Should I try running e2fsck with -c as well to check for badblocks, or is that something that would have spit out an error with normal e2fsck in the first place? The odd thing about all this though, it doesnt really make sense why the drive went straight to the AddSenses when it was in the usb enclosure instead of the adapter I'm currently using.

Jason Smith (sddfdds) wrote :

So a few more little bits of random info, not sure if any of it is helpful.

e2fsck -p ran fine.

e2fsck -c stopped in the middle because of the AddSenses.

Despite deleting the folder that froze beagle twice, it got frozen by the AddSenses again on a different directory. Some of this seems like its pointing to a bad hard drive, but it seems like theres more going on than that.

archdrone (archdrone) wrote :

I have the same problem on 2.6.27-2-generic. When I plug in USB2IDE/SATA converter and connect a hard drive, the drive is recognized:
[166914.700099] usb 4-1: new high speed USB device using ehci_hcd and address 6
[166914.842786] usb 4-1: configuration #1 chosen from 1 choice
[166914.854186] scsi13 : SCSI emulation for USB Mass Storage devices
[166919.866514] scsi 13:0:0:0: Direct-Access SAMSUNG HD753LJ 1110 PQ: 0 ANSI: 2 CCS
[166919.892840] sd 13:0:0:0: [sdb] 1465149168 512-byte hardware sectors (750156 MB)
[166919.893591] sd 13:0:0:0: [sdb] Write Protect is off
[166919.894597] sd 13:0:0:0: [sdb] 1465149168 512-byte hardware sectors (750156 MB)
[166919.895339] sd 13:0:0:0: [sdb] Write Protect is off
[166919.895367] sdb: sdb1
[166919.909955] sd 13:0:0:0: [sdb] Attached SCSI disk
[166919.910162] sd 13:0:0:0: Attached scsi generic sg2 type 0

Everything is OK so far but *sometimes* after a while these messages occur:

[167007.043468] sd 13:0:0:0: [sdb] Sense Key : No Sense [current]
[167007.043487] sd 13:0:0:0: [sdb] Add. Sense: No additional sense information
...and this iterates random-number times

*AND OR* these errors occur before, after or mixed in those mentioned above:
[167007.152099] usb 4-1: reset high speed USB device using ehci_hcd and address 6
[167037.400064] usb 4-1: reset high speed USB device using ehci_hcd and address 6
...and this iterates random-number times

I think I may have found (probably insignificant) behavior pattern and *very dirty* workaround:
After plugging the drive and mounting the partitions I check `dmesg | tail` for errors for a few minutes every now and then and IF these errors occur I *immediately* (because data loss could occur, i myself expirienced that) unmount the drive and unplug the USB converter. After that I do
`sudo rmmod ehci_hcd`
`sudo modprobe ehci-hcd`
and repeat the process.

Note1: A couple of times I expirienced a few lags during playing video from the drive. I checked dmesg and saw 'No additional sense' errors. They happend only when playing same exact positions of the movie. After doing that "very dirty workaround" stuff, everything was absolutely OK! If there are no errors in the first 5 or 10 minutes after mounting, there's a big chance everything will be OK since then. I mostly use the drive happily for hours without a fault.

Note2: I suspected everything for this faulty behavior, usb converter, drive, kernel, but the drive and the usb converter works fine mostly immediately after doing that "black magic" with ehci. Also there are quite many very similar stories with different hardware on the Net. So It has to be the kernel to blame.

Jason Smith (sddfdds) wrote :

Just a quick update: Still broken for me with the 2.6.27-3 kernel.

sebastien.b (sebastien-bocq) wrote :

Same problem here with a Samsung Pleomax 250Gb USB drive.

sintacto (sintacto) wrote :

just adding that my hard drive is 100% ext3
still works fine with 2.6.26-5 generic
i get very high cpu with 2.6.27. when i plug iomega hdd 80g usb harddrive
are your hd's fat32?

Jason Smith (sddfdds) wrote :

No, ext3.

Jason Smith (sddfdds) wrote :

Another quick update, still broken for me in 2.6.27-4

Tormod Volden (tormodvolden) wrote :

I had the "reset" messages mentioned above, and it was solved by plugging the drive into a powered USB hub. Are you sure your disks get enough power? Could be relevant for at least some of you.

sebastien.b (sebastien-bocq) wrote :

Not for me, the same drive works fine under windows on the same box.

Lowell Johnson (ldj00) wrote :

I don't have much to add; just concerned that this may not be getting the necessary attention. My problem sounds the same as described above, but here's my info from /var/log/messages anyway:

Oct 16 19:43:46 hp-velo kernel: [ 606.400093] usb 3-3: new high speed USB device using ehci_hcd and address 4
Oct 16 19:43:46 hp-velo kernel: [ 606.709695] usb 3-3: configuration #1 chosenfrom 1 choice
Oct 16 19:43:46 hp-velo kernel: [ 606.711218] scsi7 : SCSI emulation for USB Mass Storage devices
Oct 16 19:43:51 hp-velo kernel: [ 611.713081] scsi 7:0:0:0: Direct-Access WDC WD16 00JB-00GVA0 08.0 PQ: 0 ANSI: 0
Oct 16 19:43:51 hp-velo kernel: [ 611.717554] sd 7:0:0:0: [sdc] 312581809 512-byte hardware sectors (160042 MB)
Oct 16 19:43:51 hp-velo kernel: [ 611.718420] sd 7:0:0:0: [sdc] Write Protect is off
Oct 16 19:43:51 hp-velo kernel: [ 611.719293] sd 7:0:0:0: [sdc] 312581809 512-byte hardware sectors (160042 MB)
Oct 16 19:43:51 hp-velo kernel: [ 611.722301] sd 7:0:0:0: [sdc] Write Protect is off
Oct 16 19:43:51 hp-velo kernel: [ 611.722324] sdc: sdc1
Oct 16 19:43:51 hp-velo kernel: [ 611.751556] sd 7:0:0:0: [sdc] Attached SCSI disk
Oct 16 19:43:51 hp-velo kernel: [ 611.751776] sd 7:0:0:0: Attached scsi generic sg3 type 0
Oct 16 19:43:51 hp-velo kernel: [ 611.913149] sd 7:0:0:0: [sdc] Sense Key : NoSense [current]
Oct 16 19:43:51 hp-velo kernel: [ 611.913163] sd 7:0:0:0: [sdc] Add. Sense: Noadditional sense information
...

lsusb recognizes the device (external powered USB enclosure for a 160GB ext3-formatted drive).

Running an up-to-date Intrepid beta on an HP dv5t laptop:

~> uname -a
Linux hp-velo.localdomain 2.6.27-7-generic #1 SMP Tue Oct 14 18:38:59 UTC 2008 x86_64 GNU/Linux

Device works fine when attached to an old Inspiron 5100 Dell laptop running an up-to-date Hardy.

Vjeko (vjekoslav-brajkovic) wrote :

Same problem here with 2.6.27-7.

yakitori3 (yakitori3-gmail) wrote :

I have a Fujitu 80 external usb drive and I too am having the same problems as everyone. High cpu usage, lsusb see's the drive but nothing else....Looking for some ideas
Thanks

Uwe Helm (1forthedoctor) wrote :

could any of you please boot with the options "noapic acpi=off" or a combination of those and report?

Lowell Johnson (ldj00) wrote :

I booted with the various combinations of noapic and acpi=off, but no joy. Here's what happened on my system:

1) booting with "noapic acpi=off"
   System "froze" at login screen. (I'm running Kubuntu, so at KDM login screen.) After what occurred in some of the below options, I'm not sure if it was actually froze or if it was X going to ~100% CPU -- but basically unresponsive.

2) booting with "noapic"
   System booted fine, but no change in external USB drive access.

3) booting with "acpi=off"
   Same as 1). But I did find that I was able to log in to a virtual terminal, but couldn't restart KDM.

4) While trying to figure out why the "acpi=off" option seemed to hang the system on X. I turned off the acpid and acpi-support service daemons (disabled so they wouldn't start at boot). Then I was able to log into KDE with the "acpi=off" boot option, but X usage was still up around 97% CPU, so the system was basically unusable.

So I never really got to the point of determining whether the "acpi=off" option made a difference for the USB hard drive access since the system was unresponsive (except the mouse still seemed to have good responsiveness).

Thanks for the suggestions. And I'm willing to try others that might help identify the problem.

csulok (shikakaa) wrote :

I have the same issue with an 80gb maxtor HDD on it an NTFS partition. Ubuntu is fully updated as of this morning, the ntfs partition has been properly removed at its last usage (journal is closed and clean and whatnot).

frapell (frapell) wrote :

Having the same problem here on intrepid amd64.
kernel 2.6.27-7-generic

Oct 24 23:57:39 richiter kernel: [13507.316061] usb 4-1: new full speed USB device using uhci_hcd and address 3
Oct 24 23:57:39 richiter kernel: [13507.535457] usb 4-1: configuration #1 chosen from 1 choice
Oct 24 23:57:39 richiter kernel: [13507.539178] scsi3 : SCSI emulation for USB Mass Storage devices
Oct 24 23:57:44 richiter kernel: [13512.545278] scsi 3:0:0:0: Direct-Access Nokia Nokia 5310 Xpres 0000 PQ: 0 ANSI: 4
Oct 24 23:57:44 richiter kernel: [13512.557210] sd 3:0:0:0: [sdb] 3932161 512-byte hardware sectors (2013 MB)
Oct 24 23:57:44 richiter kernel: [13512.564253] sd 3:0:0:0: [sdb] Write Protect is off
Oct 24 23:57:44 richiter kernel: [13512.596526] sd 3:0:0:0: [sdb] 3932161 512-byte hardware sectors (2013 MB)
Oct 24 23:57:44 richiter kernel: [13512.600229] sd 3:0:0:0: [sdb] Write Protect is off
Oct 24 23:57:44 richiter kernel: [13512.601573] sdb:
Oct 24 23:57:44 richiter kernel: [13512.681540] sd 3:0:0:0: [sdb] Attached SCSI removable disk
Oct 24 23:57:44 richiter kernel: [13512.690569] sd 3:0:0:0: Attached scsi generic sg2 type 0
Oct 24 23:57:44 richiter kernel: [13512.888169] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 24 23:57:44 richiter kernel: [13512.888184] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information

interpid amd64 + Nokia 5310 XpressMusic

Mundi Granja (mundigranja) wrote :

Same problem under 2.6.27-7 with a USB Samsung disco 250 GB

Florian Schweikert (kelvan) wrote :

Same problem here, 250GB Gericom HDD with NTFS.

Oct 26 12:07:00 kelvan-desktop kernel: [ 839.968858] sd 6:0:0:0: [sdd] 488397169 512-byte hardware sectors (250059 MB)
Oct 26 12:07:00 kelvan-desktop kernel: [ 839.970221] sd 6:0:0:0: [sdd] Write Protect is off
Oct 26 12:07:00 kelvan-desktop kernel: [ 839.972093] sd 6:0:0:0: [sdd] 488397169 512-byte hardware sectors (250059 MB)
Oct 26 12:07:00 kelvan-desktop kernel: [ 839.973338] sd 6:0:0:0: [sdd] Write Protect is off
Oct 26 12:07:00 kelvan-desktop kernel: [ 839.977596] sdd: sdd1
Oct 26 12:07:00 kelvan-desktop kernel: [ 840.000974] sd 6:0:0:0: [sdd] Attached SCSI disk
Oct 26 12:07:00 kelvan-desktop kernel: [ 840.003075] sd 6:0:0:0: Attached scsi generic sg4 type 0
Oct 26 12:07:00 kelvan-desktop kernel: [ 840.167828] sd 6:0:0:0: [sdd] Sense Key : No Sense [current]
Oct 26 12:07:00 kelvan-desktop kernel: [ 840.167846] sd 6:0:0:0: [sdd] Add. Sense: No additional sense information

same problem for me with hardy, linux 2.6.24-21-generic, an ntfs-formated external usb drive and the last ntfs-3g release (installed manually).

It happened only once, while I was playing music from the drive and copying data to an encfs directory on the drive. After music stopped and cancelling the copy, the dmesg error stopped repeating itself and I could unmount the drive cleanly. Then I plugged it back and it worked again (without any reboot, modprobe or so)

from /var/log/syslog:
Oct 26 12:27:10 thinbox kernel: [16772.303355] usb 5-6: reset high speed USB device using ehci_hcd and address 6
Oct 26 12:27:11 thinbox kernel: [16773.638342] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 26 12:27:11 thinbox kernel: [16773.638358] Info fld=0x0
Oct 26 12:27:11 thinbox kernel: [16773.638361] sd 2:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 26 12:27:11 thinbox kernel: [16773.642833] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 26 12:27:11 thinbox kernel: [16773.642847] Info fld=0x0
Oct 26 12:27:11 thinbox kernel: [16773.642850] sd 2:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 26 12:27:11 thinbox kernel: [16773.648691] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
...

$ ntfs-3g --help
ntfs-3g 1.2216 external FUSE 27 - Third Generation NTFS Driver

Robert Mahoney (mahoneyr) wrote :

For me, the sudo rmmod ehci_hcd workaround listed above will stop the external drive and the error messages temporarily, but then the drive and messages restart after a brief delay. Apparently the module has not reloaded at this point, because repeating the command yields
ERROR: Module ehci_hcd does not exist in /proc/modules
Reloading the module with sudo modprobe ehci_hcd has no effect, but then unloading the module again will stop the drive and messages again temporarily.

None of this allows me to actually mount the drive.

Dan Maranville (likuidkewl) wrote :

Using 8.10RC still broken on Install, also tested with liveCD....

Uname -a:
Linux ubuntu 2.6.27-7-generic #1 SMP Wed Oct 22 00:29:18 UTC 2008 i686 GNU/Linux

External USB Interface is Ximeta NetDisk NDAS 80G / Disk is a SAMSUNG SP0802N

I have attached lspci. lsusb. and the syslog entries.

Dan Maranville (likuidkewl) wrote :
Dan Maranville (likuidkewl) wrote :
ThOR27 (thor27-gmail) wrote :

Same problem here with a nokia 5200 in "storage mode"

Stefan Haller (haliner) wrote :

I have the same problem here with a external hard disc.
(Linux 2.6.27-7-generic #1 SMP Fri Oct 24 06:40:41 UTC 2008 x86_64 GNU/Linux)

It works with a 2.6.26 kernel.

I'm seeing this problem as well on Intrepid ibex with my Nokia 6280.

Kernel 2.6.27-7-generic (amd64)

This happens when I mount the Nokia as a USB drive.
In the Nokia's "Default Mode", the NetworkManager detects the Nokia as a "Mobile Broadband device".
I.e. USB communication works otherwise.

Milan Krivda (milan-krivda) wrote :

Same problem here with nokia 6300, Ubuntu 8.10

[ 5843.757975] end_request: I/O error, dev sdf, sector 1990656
[ 5844.513020] usb 5-2: new full speed USB device using uhci_hcd and address 7
[ 5844.690502] usb 5-2: configuration #1 chosen from 1 choice
[ 5844.744544] cdc_acm 5-2:1.1: ttyACM0: USB ACM device
[ 5844.748043] usb 5-2: bad CDC descriptors
[ 5844.748064] usb 5-2: bad CDC descriptors

Thomas Schiex (thomas-schiex) wrote :

Bug also present here with my noname USB HDD that worked fine under Hardy Heron.

This thread may help perhaps help the Ubuntu Kernel Team:

http://www.gossamer-threads.com/lists/linux/kernel/987514

Using 2.6.27-7-generic i686 on Intrepid (final).

[24990.380009] usb 2-3: new full speed USB device using ohci_hcd and address 5
[24990.611076] usb 2-3: configuration #1 chosen from 2 choices
[24990.625875] scsi5 : SCSI emulation for USB Mass Storage devices
[24990.647336] usb-storage: device found at 5
[24990.647341] usb-storage: waiting for device to settle before scanning
[24995.645834] usb-storage: device scan complete
[24995.652825] scsi 5:0:0:0: Direct-Access Nokia Nokia 6500c 0000 PQ: 0 ANSI: 4
[24995.687936] sd 5:0:0:0: [sdb] 2007041 512-byte hardware sectors (1028 MB)
[24995.696244] sd 5:0:0:0: [sdb] Write Protect is off
[24995.696250] sd 5:0:0:0: [sdb] Mode Sense: 04 00 00 00
[24995.696253] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[24995.720808] sd 5:0:0:0: [sdb] 2007041 512-byte hardware sectors (1028 MB)
[24995.727799] sd 5:0:0:0: [sdb] Write Protect is off
[24995.727803] sd 5:0:0:0: [sdb] Mode Sense: 04 00 00 00
[24995.727805] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[24995.728121] sdb:
[24996.183940] sd 5:0:0:0: [sdb] Attached SCSI removable disk
[24996.184170] sd 5:0:0:0: Attached scsi generic sg2 type 0
[24996.319707] sd 5:0:0:0: [sdb] Sense Key : No Sense [current]
[24996.319715] sd 5:0:0:0: [sdb] Add. Sense: No additional sense information

Last two lines repeated infinitely, phone says "transferring data" but the drive isn't mounted. Worked flawlessly in Hardy.

What is interesting is that if I don't select storage mode, or anything else from the phone menu displayed when I plug the cable in, I can use f-spot to transfer files successfully!

archdrone (archdrone) wrote :

Hope and pray for this commit to solve our problems (in kernel 2.6.28)
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=8bfa24727087d7252f9ecfb5fea2dfc92d797fbd
I have a funny feeling that ubuntu developers are not connected with this but if I'm wrong I'm sorry.

pablo (frias-pablo) wrote :

Same problem here with a Nokia 6131. Kernel 2.6.27-7

Florian Schweikert (kelvan) wrote :

Vista also doesn't like my USB-HDD, with XP it works normal, also with Hardy.
So I can't access my HDD with my notebook :(

Changed in linux:
status: Unknown → Confirmed
simonsonjh (simonsonjh) wrote :

I have the same problem under Ibex. My old IDE HD USB enclosure is fine under Hardy.

richard (richard-nerux) wrote :

Same problem with Sony GPS-CS1

# uname
2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux

# /etc/issue
Ubuntu 8.10

# /var/log/messages
[57970.096337] sd 8:0:0:0: [sdb] Sense Key : No Sense [current]
[57970.096351] sd 8:0:0:0: [sdb] Add. Sense: No additional sense information
# The device isn't created

No problem with Hardy.

I have the same problem as Antti Kajander (but whith a Nokia 6131). But when connect the phone (in storage mode) in a VirtualBox VM running XP, I'm able to access the photos and music stored in the SD memory; but I can't use the Nokia PC Suite to backup contacts and appointments (whith the phone in default mode).

Ubuntu 8.10
Linux pcabatex2 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:06 UTC 2008 x86_64 GNU/Linux

Changed in linux:
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2008-12-19
Changed in linux:
importance: Undecided → High
status: New → Fix Committed
Steve Beattie (sbeattie) on 2009-01-23
Changed in linux:
status: Triaged → Fix Released
111 comments hidden view all 191 comments
lpad (spameden) wrote :
Download full text (6.3 KiB)

my device is vantec nexstar gx: http://www.vantecusa.com/front/product/view_detail/182

dmesg:
[12020.656380] usb 1-1.1: new high speed USB device using ehci_hcd and address 12
[12020.800029] usb 1-1.1: configuration #1 chosen from 1 choice
[12020.800601] scsi7 : SCSI emulation for USB Mass Storage devices
[12020.801800] usb-storage: device found at 12
[12020.801807] usb-storage: waiting for device to settle before scanning
[12025.800330] usb-storage: device scan complete
[12025.801323] scsi 7:0:0:0: Direct-Access WDC WD32 00JB-99AA0 08.0 PQ: 0 ANSI: 0
[12025.805526] sd 7:0:0:0: [sdd] 625142449 512-byte hardware sectors: (320 GB/298 GiB)
[12025.828368] sd 7:0:0:0: [sdd] Write Protect is off
[12025.828378] sd 7:0:0:0: [sdd] Mode Sense: 03 00 00 00
[12025.828439] sd 7:0:0:0: [sdd] Assuming drive cache: write through
[12025.834424] sd 7:0:0:0: [sdd] 625142449 512-byte hardware sectors: (320 GB/298 GiB)
[12025.835519] sd 7:0:0:0: [sdd] Write Protect is off
[12025.835528] sd 7:0:0:0: [sdd] Mode Sense: 03 00 00 00
[12025.835535] sd 7:0:0:0: [sdd] Assuming drive cache: write through
[12025.835546] sdd: sdd1
[12025.849684] sd 7:0:0:0: [sdd] Attached SCSI disk
[12025.849866] sd 7:0:0:0: Attached scsi generic sg3 type 0
[12025.953475] sd 7:0:0:0: [sdd] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[12025.953482] sd 7:0:0:0: [sdd] Sense Key : Medium Error [current]
[12025.953487] sd 7:0:0:0: [sdd] Add. Sense: Recorded entity not found
[12025.953493] end_request: I/O error, dev sdd, sector 625142448
[12025.953496] __ratelimit: 128944 callbacks suppressed
[12025.953499] Buffer I/O error on device sdd, logical block 625142448
[12025.958095] sd 7:0:0:0: [sdd] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[12025.958099] sd 7:0:0:0: [sdd] Sense Key : Medium Error [current]
[12025.958103] sd 7:0:0:0: [sdd] Add. Sense: Recorded entity not found
[12025.958107] end_request: I/O error, dev sdd, sector 625142448
[12025.958110] Buffer I/O error on device sdd, logical block 625142448
[12025.965845] sd 7:0:0:0: [sdd] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[12025.965849] sd 7:0:0:0: [sdd] Sense Key : Medium Error [current]
[12025.965853] sd 7:0:0:0: [sdd] Add. Sense: Recorded entity not found
[12025.965858] end_request: I/O error, dev sdd, sector 625142448
[12025.965861] Buffer I/O error on device sdd, logical block 625142448
[12025.968965] sd 7:0:0:0: [sdd] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[12025.968969] sd 7:0:0:0: [sdd] Sense Key : Medium Error [current]
[12025.968973] sd 7:0:0:0: [sdd] Add. Sense: Recorded entity not found
[12025.968977] end_request: I/O error, dev sdd, sector 625142448
[12025.968980] Buffer I/O error on device sdd, logical block 625142448
[12025.972251] sd 7:0:0:0: [sdd] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
[12025.972255] sd 7:0:0:0: [sdd] Sense Key : Medium Error [current]
[12025.972259] sd 7:0:0:0: [sdd] Add. Sense: Recorded entity not found
[12025.972263] end_request: I/O error, dev sdd, sector 625142448
[12025.972267] Buffer I/O error on device sdd, logical block 625142448
[12025.985105] sd 7:0:0:0: [sdd] Result: hostbyte=DID_OK driverbyte=...

Read more...

Stefan Bader (smb) wrote :

lpad, can you add the lsusb information for the storage device? The part you supplied is for the integrated hub.

On 15/07/09 16:39 Stefan Bader wrote:

> @Gonzalo, I added some code that tries to fix up your device. The change
> is included in the test kernel of another bug. You can find it at
> http://people.canonical.com/~smb//bug287701/. Could you try whether that
> change helps? Thanks.

I tried that patch with a Sony Ericson w800i mobile phone. It still doesn't
work.

Stefan Bader (smb) wrote :

Robert wrote:
> I tried that patch with a Sony Ericson w800i mobile phone. It still doesn't
> work.

That is not too surprising as the additional quirk entries only will affect
Ericson w760i and z780i. A z800i would have a different usb id.

lpad (spameden) wrote :

here ya go:

Bus 001 Device 004: ID 0dc4:0073 Macpower Peripherals, Ltd
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0dc4 Macpower Peripherals, Ltd
  idProduct 0x0073
  bcdDevice 0.01
  iManufacturer 1 Macpower Technology Co.LTD.
  iProduct 2 USB 2.0 3.5" DEVICE
  iSerial 3 BC30CD
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
Device Qualifier (for other device speed):
  bLength 10
  bDescriptorType 6
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  bNumConfigurations 1
Device Status: 0x0000
  (Bus Powered)

Stefan Bader (smb) wrote :

@lpad, can you try the v2 version at http://people.canonical.com/~smb//bug287701/ ?

Mantas Mikulėnas (grawity) wrote :

Sony-Ericsson W760i, lsusb output attached.

Stefan Bader (smb) wrote :

grawity wrote:
> Sony-Ericsson W760i, lsusb output attached.

Hm, well _that_ id should already be in. Have you tried the kernel I mentioned
above?

Mantas Mikulėnas (grawity) wrote :

Stefan Bader wrote:
> grawity wrote:
>> Sony-Ericsson W760i, lsusb output attached.
>
> Hm, well _that_ id should already be in. Have you tried the kernel I mentioned
> above?

I just tried it, and it partially works.

The phone presents itself as _two_ removable devices - one for internal memory, the other for MemoryStick.

With your test kernel (unless I failed to install it correctly), the memory card works correctly and is mounted by GNOME, but the other - internal memory - still causes the "No Sense" flood in dmesg.

lpad (spameden) wrote :

@Stefan Bader, what patch did you add to the kernel?

something like this:

UNUSUAL_DEV( 0x0dc4, 0x0073, 0x0001, 0x0001,
               "Macpower",
               "Storage",
               US_SC_DEVICE, US_PR_DEVICE, NULL,
               US_FL_FIX_CAPACITY),

to the drivers/usb/storage/unusual_devs.h?

and A + B'' patch too from this link: http://bugzilla.kernel.org/show_bug.cgi?id=11843#c26?

cause I've tried adding both patches - it worked out, but another my hdd started failing..

Stefan Bader (smb) wrote :

> UNUSUAL_DEV( 0x0dc4, 0x0073, 0x0001, 0x0001,
> "Macpower",
> "Storage",
> US_SC_DEVICE, US_PR_DEVICE, NULL,
> US_FL_FIX_CAPACITY),
>

Exactly this with slightly different strings. And two other similar additions
for the Ericsons.

> to the drivers/usb/storage/unusual_devs.h?
>
> and A + B'' patch too from this link:
> http://bugzilla.kernel.org/show_bug.cgi?id=11843#c26?

Patch A was always in the code for Jaunty. B'', based on comment 36 in that
bugzilla would not be acceptable (to avoid potential other regressions). For
that reason it is not included in my test kernel.

lpad (spameden) wrote :

>Exactly this with slightly different strings. And two other similar additions
>for the Ericsons.

which strings you've used?

Stefan Bader (smb) wrote :

> The phone presents itself as _two_ removable devices - one for internal
> memory, the other for MemoryStick.

In that case there should be two devices visible with the lsusb output. At the
moment every device has to be declared independently. Though it somehow looks
as for upstream Ericson might qualify for the list of vendors which only do
devices with that bug.

Stefan Bader (smb) wrote :

This entry, though the strings are just informational, what counts is the
numerical id for vendor and model, plus the lower and upper ranger for the
firmware (the first line).

+UNUSUAL_DEV( 0x0dc4, 0x0073, 0x0001, 0x0001,
+ "Macpower Peripherals, Ltd",
+ "IDE to USB 2.0 HDD case with 3-port hub",
+ US_SC_DEVICE, US_PR_DEVICE, NULL,
+ US_FL_FIX_CAPACITY ),
+

Mantas Mikulėnas (grawity) wrote :

>> The phone presents itself as _two_ removable devices - one for internal
>> memory, the other for MemoryStick.
>
> In that case there should be two devices visible with the lsusb output. At the
> moment every device has to be declared independently. Though it somehow looks
> as for upstream Ericson might qualify for the list of vendors which only do
> devices with that bug.

Hmm, let me check. *plugs in phone*

root@theory ~/Desktop/Bug reports# lsusb
Bus 002 Device 007: ID 0fce:e0c6 Sony Ericsson Mobile Communications AB
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 3538:0051 Power Quotient International Co., Ltd
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

If I remove the MemoryStick and reconnect the phone, it still shows exactly the same thing.

Stefan Bader (smb) wrote :

> If I remove the MemoryStick and reconnect the phone, it still shows
> exactly the same thing.

Hm, right. I missed the fact that in dmesg the second device appears to be sort
of a LUN. The unusual_devs entries would match on the one device... Hm, I am
not sure whether its in the bug. With the unpatched normal kernel. What sector
readings would you get there?

aexl (aexl) wrote :

hello stefan,
here some ifo, hth...

attaching hdd with usb-ide adapter

aexl (aexl) wrote :

(plugged it in, and off again)

aexl (aexl) wrote :

sorry wrong file .
THIS should be the correct lsusb

Mantas Mikulėnas (grawity) wrote :

Stefan Bader wrote:
> > If I remove the MemoryStick and reconnect the phone, it still shows
> > exactly the same thing.
>
> Hm, right. I missed the fact that in dmesg the second device appears to be sort
> of a LUN. The unusual_devs entries would match on the one device... Hm, I am
> not sure whether its in the bug. With the unpatched normal kernel. What sector
> readings would you get there?

I don't know what are "sector readings", but they probably are in this dmesg output.

Stefan Bader (smb) wrote :

@grawity: Oh, yes- What I meant was:

[ 1602.683559] sd 3:0:0:0: [sdc] 120093 512-byte hardware sectors: (61.4 MB/58.6 MiB)
[ 1602.728250] sd 3:0:0:1: [sdd] 3995649 512-byte hardware sectors: (2.04 GB/1.90 GiB)

compared to (with the patch)

[ 339.211253] sd 4:0:0:0: [sdc] 120092 512-byte hardware sectors: (61.4 MB/58.6 MiB)
[ 339.250733] sd 4:0:0:1: [sdd] 3995648 512-byte hardware sectors: (2.04 GB/1.90 GiB)

So both devices get their capacity reduced by one, which is ok. Unfortunately this does not seem to help completely.

@I fear this bug is sadly becoming more and more bloated and confusing by the number of hw that needs to be fixed. If we could split out (create) a new bug for each device that needs to be taken care of, this would help very much. I would suggest a topic like "usbstorage: <device> shows 'No sense [current]' bug", against the linux package and "sudo lsusb -vvv", full dmesg (good)[optional] and fll dmesg (bad). If you either mail me or post the new bug number, I will assign it to me.
This bug I will use to track/complete the bug on the NexStar GX (as this has been the device initially reported. And I would set the description accordingly.

Robert (robrwo) wrote :

If there's so many special exceptions, then maybe the drivers need to
be rethought in a way that is more generic.

On Fri, Jul 17, 2009 at 1:07 PM, Stefan Bader<email address hidden> wrote:

> @I fear this bug is sadly becoming more and more bloated and confusing by the number of hw that needs to be fixed. If we could split out (create) a new bug for each device that needs to be taken care of, this would help very much. I would suggest a topic like "usbstorage: <device> shows 'No sense [current]' bug", against the linux package ...

Stefan Bader (smb) wrote :

Robert wrote:
> If there's so many special exceptions, then maybe the drivers need to
> be rethought in a way that is more generic.

Because there is no way to have the same driver (usb-storage) to say whether a
device returns the total number of blocks or the highest block number (as it is
expected). And when the drives response to actually reading the last sector in
the case of a too high number is to return without any information and this can
be a valid case for some other devices, you will have a hard time to come up
with a generic solution that works for all.
Upstream already started to have a list of vendors which seem always to return
the wrong thing. But this cannot be the default behavior as otherwise some
devices would get a too small capacity detected.

Robert (robrwo) wrote :

On 20/07/09 09:43 Stefan Bader wrote:

> Because there is no way to have the same driver (usb-storage) to say whether a
> device returns the total number of blocks or the highest block number (as it is
> expected). And when the drives response to actually reading the last sector in
> the case of a too high number is to return without any information and this can
> be a valid case for some other devices, you will have a hard time to come up
> with a generic solution that works for all.

These devices seem to work fine on Windows and OS/X. What do they do
differently? (Especially OS/X, since it is in part open source as "Darwin".)

Stefan Bader (smb) wrote :

Robert wrote:

> These devices seem to work fine on Windows and OS/X. What do they do
> differently? (Especially OS/X, since it is in part open source as "Darwin".)

Not access the last sector for example. The problems with most of the devices
started when Linux added scans for md meta-data on the complete drive (not the
partition). And md meta-data is at the end of the usable space. Actually
somewhere in those many reports (can't remember which) there was a comment that
those cases also start behaving badly when you really try to access the last
sector from Windows.

Ramaddan (ramaddan) wrote :

Still have this problem on Jaunty.

Did not have this problem in Intrepid.

This is the output I get in dmesg:

[54237.142762] usb 1-1: configuration #1 chosen from 1 choice
[54237.166132] scsi10 : SCSI emulation for USB Mass Storage devices
[54237.169779] usb-storage: device found at 6
[54237.169785] usb-storage: waiting for device to settle before scanning
[54242.169180] usb-storage: device scan complete
[54242.171276] scsi 10:0:0:0: Direct-Access Ext Hard Disk PQ: 0 ANSI: 4
[54272.284042] usb 1-1: reset high speed USB device using ehci_hcd and address 6
[54287.396554] usb 1-1: device descriptor read/64, error -110
[54302.620102] usb 1-1: device descriptor read/64, error -110
[54302.836555] usb 1-1: reset high speed USB device using ehci_hcd and address 6
ramaddan@ramaddancomp:~$ dmesg | tail
[54466.984043] usb 2-1: new full speed USB device using ohci_hcd and address 6
[54482.160555] usb 2-1: device descriptor read/64, error -110
[54497.440053] usb 2-1: device descriptor read/64, error -110
[54497.716039] usb 2-1: new full speed USB device using ohci_hcd and address 7
[54502.736147] usb 2-1: device descriptor read/8, error -110
[54507.857152] usb 2-1: device descriptor read/8, error -110
[54508.136048] usb 2-1: new full speed USB device using ohci_hcd and address 8
[54513.157161] usb 2-1: device descriptor read/8, error -110
[54518.277164] usb 2-1: device descriptor read/8, error -110
[54518.380062] hub 2-0:1.0: unable to enumerate USB device on port 1

Any updates on this issue?

lpad (spameden) wrote :
Download full text (5.5 KiB)

bump! any updates?

2009/8/26 Ramaddan <email address hidden>

> Still have this problem on Jaunty.
>
> Did not have this problem in Intrepid.
>
> This is the output I get in dmesg:
>
> [54237.142762] usb 1-1: configuration #1 chosen from 1 choice
> [54237.166132] scsi10 : SCSI emulation for USB Mass Storage devices
> [54237.169779] usb-storage: device found at 6
> [54237.169785] usb-storage: waiting for device to settle before scanning
> [54242.169180] usb-storage: device scan complete
> [54242.171276] scsi 10:0:0:0: Direct-Access Ext Hard Disk
> PQ: 0 ANSI: 4
> [54272.284042] usb 1-1: reset high speed USB device using ehci_hcd and
> address 6
> [54287.396554] usb 1-1: device descriptor read/64, error -110
> [54302.620102] usb 1-1: device descriptor read/64, error -110
> [54302.836555] usb 1-1: reset high speed USB device using ehci_hcd and
> address 6
> ramaddan@ramaddancomp:~$ dmesg | tail
> [54466.984043] usb 2-1: new full speed USB device using ohci_hcd and
> address 6
> [54482.160555] usb 2-1: device descriptor read/64, error -110
> [54497.440053] usb 2-1: device descriptor read/64, error -110
> [54497.716039] usb 2-1: new full speed USB device using ohci_hcd and
> address 7
> [54502.736147] usb 2-1: device descriptor read/8, error -110
> [54507.857152] usb 2-1: device descriptor read/8, error -110
> [54508.136048] usb 2-1: new full speed USB device using ohci_hcd and
> address 8
> [54513.157161] usb 2-1: device descriptor read/8, error -110
> [54518.277164] usb 2-1: device descriptor read/8, error -110
> [54518.380062] hub 2-0:1.0: unable to enumerate USB device on port 1
>
> Any updates on this issue?
>
> --
> USB Hard Drive Not Accessible, vol_id hangs
> https://bugs.launchpad.net/bugs/264789
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Intrepid: Fix Committed
>
> Bug description:
> I updated to 2.6.27-2 today, and one of my hard drives is no longer
> recognized. It is in a Vantec NexStar GX enclosure, and was working fine on
> .26, and continues to work fine on a Hardy machine. Here is the dmesg for
> it:
>
> [ 6722.944029] usb 5-5: new high speed USB device using ehci_hcd and
> address 27
> [ 6723.077863] usb 5-5: configuration #1 chosen from 1 choice
> [ 6723.079511] hub 5-5:1.0: USB hub found
> [ 6723.080345] hub 5-5:1.0: 4 ports detected
> [ 6732.712034] usb 5-5: reset high speed USB device using ehci_hcd and
> address 27
> [ 6733.124011] usb 5-5.1: new high speed USB device using ehci_hcd and
> address 28
> [ 6733.364598] usb 5-5.1: configuration #1 chosen from 1 choice
> [ 6733.365180] scsi17 : SCSI emulation for USB Mass Storage devices
> [ 6733.365818] usb-storage: device found at 28
> [ 6733.365830] usb-storage: waiting for device to settle before scanning
> [ 6738.364276] usb-storage: device scan complete
> [ 6738.361002] scsi 17:0:0:0: Direct-Access ST340063 2A
> 3.04 PQ: 0 ANSI: 0
> [ 6738.361002] sd 17:0:0:0: [sdm] 781422769 512-byte hardware sectors
> (400088 MB)
> [ 6738.361002] sd 17:0:0:0: [sdm] Write Protect is off
> [ 6738.361002] sd 17:0:...

Read more...

A patch in the 2.6.31.5 upstream stable patch set for the kernel contains a patch which may help. The Karmic 9.10 kernel will be pulling in this set of stable patches as a stable release update to Karmic. I've taken the liberty to build a test kernel for Karmic containing this one patch which may help not only subscribers of this bug, but a few others as well. If anyone here can test and provide feedback running this test kernel within Karmic that would be much appreciated:

http://people.canonical.com/~ogasawara/lp400652/

Pat Rice (patrick-j-rice) wrote :

https://bugs.launchpad.net/ubuntu/+bug/460831 may be a duplicate of this occouring on WD (Western Digital) drive (My Book Essential Edition 2.0 WD10000H1U-00)

earthsound (earthsound) wrote :

Using:

Linux ubuntu 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 i686 GNU/Linux

with the same JMicron Hi-Speed USB to SATA & PATA Combo Bridge as mentioned in comment #100, I am still hitting this bug. :( I have a Western Digital Cavier SE16, 640GB SATA drive (WD6400AAKS) attached to this adapter.

idVendor 0x152d JMicron Technology Corp. / JMicron USA Technology Corp.
idProduct 0x2338 JM20337 Hi-Speed USB to SATA & PATA Combo Bridge
bcdDevice 1.00
iManufacturer JMicron
iProduct 2 USB to ATA/ATAPI Bridge

Has an intelligent fix (or idea of a solution, even) to this bug materialized? From what I understand, probing for metadata at/near the "end" of the device is necessary auto-mounting/setting up/etc. any devices not listed in /etc/fstab already and that "end" space for their magic data/sequence.

I assume an approach like this won't work (or has already been proven to fail?):

- get size from device
- start reading blocks (size-n) sectors and forward
- parse sectors for magic data
- continue until error is returned (b/c device reports no sector, etc.)
- stop reading

This bug, in combination with the failure of the kernel to robustly handle the apparent bug in the chipset of this particular adapter (see the thread at http://linux.derkeiler.com/Mailing-Lists/Kernel/2008-07/threads.html#08755) makes for craptastic times w/ this hardware. (unless that has been fixed since summer '08?) Out of curiosity, was anyone able to get a response from JMicron about the bug in the chipset?

Seth Arnold (seth-arnold) wrote :
Download full text (4.4 KiB)

$ uname -a
Linux ehrlichman 2.6.31-16-generic #52-Ubuntu SMP Thu Dec 3 22:00:22 UTC 2009 i686 GNU/Linux

[ 567.800086] usb 1-2: new high speed USB device using ehci_hcd and address 5
[ 567.933509] usb 1-2: configuration #1 chosen from 1 choice
[ 567.981341] Initializing USB Mass Storage driver...
[ 567.982922] scsi2 : SCSI emulation for USB Mass Storage devices
[ 567.983210] usbcore: registered new interface driver usb-storage
[ 567.983218] USB Mass Storage support registered.
[ 567.984879] usb-storage: device found at 5
[ 567.984885] usb-storage: waiting for device to settle before scanning
[ 572.984308] usb-storage: device scan complete
[ 572.985296] scsi 2:0:0:0: Direct-Access Initio 0G9SA00 4.46 PQ: 0 ANSI: 0
[ 572.986231] sd 2:0:0:0: Attached scsi generic sg2 type 0
[ 573.004776] sd 2:0:0:0: [sdb] 156301488 512-byte logical blocks: (80.0 GB/74.5 GiB)
[ 573.005514] sd 2:0:0:0: [sdb] Write Protect is off
[ 573.005522] sd 2:0:0:0: [sdb] Mode Sense: 00 00 00 00
[ 573.005528] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[ 573.007013] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[ 573.007022] sdb: sdb1 sdb2 sdb3 < sdb5 sdb6 sdb7 >
[ 573.120079] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[ 573.120090] sd 2:0:0:0: [sdb] Attached SCSI disk
[ 575.955694] kjournald starting. Commit interval 5 seconds
[ 575.955739] EXT3-fs warning: checktime reached, running e2fsck is recommended
[ 576.089460] EXT3 FS on sdb7, internal journal
[ 576.089471] EXT3-fs: recovery complete.
[ 576.194774] EXT3-fs: mounted filesystem with writeback data mode.
[ 578.858365] kjournald starting. Commit interval 5 seconds
[ 578.858386] EXT3-fs warning: checktime reached, running e2fsck is recommended
[ 578.858938] EXT3 FS on sdb5, internal journal
[ 578.858945] EXT3-fs: recovery complete.
[ 578.859564] EXT3-fs: mounted filesystem with writeback data mode.
[ 1484.334878] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
[ 1484.334893] Info fld=0x0
[ 1484.334898] sd 2:0:0:0: [sdb] Add. Sense: No additional sense information
[ 1511.226389] sd 2:0:0:0: [sdb] Sense Key : No Sense [current]
[ 1511.226405] Info fld=0x0
[ 1511.226410] sd 2:0:0:0: [sdb] Add. Sense: No additional sense information

Bus 001 Device 005: ID 13fd:1650 Initio Corporation
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x13fd Initio Corporation
  idProduct 0x1650
  bcdDevice 4.46
  iManufacturer 1 Initio
  iProduct 2 0G9SA00
  iSerial 3 00101016500000000
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 0mA
    Interface Descriptor:
      bLength 9
      bDescriptorType ...

Read more...

Stefan Bader (smb) wrote :

This should be fixed in the kernel that includes the update to stable 2.6.31.6. Unfortunately it is blocked atm by other things. You can get a preview of it at: https://launchpad.net/~stefan-bader-canonical/+archive/karmic for the time being.

Robert (robrwo) wrote :

I still have this problem in Karmic (even after a fresh install). I also have this problem after upgrading to Lucid release candidate.

lpad (spameden) wrote :
Download full text (4.2 KiB)

no problems here.. i'm on 2.6.31-20-generic.

2010/4/29 Robert <email address hidden>

> I still have this problem in Karmic (even after a fresh install). I also
> have this problem after upgrading to Lucid release candidate.
>
> --
> USB Hard Drive Not Accessible, vol_id hangs
> https://bugs.launchpad.net/bugs/264789
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Linux Kernel: Fix Released
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Intrepid: Fix Committed
>
> Bug description:
> I updated to 2.6.27-2 today, and one of my hard drives is no longer
> recognized. It is in a Vantec NexStar GX enclosure, and was working fine on
> .26, and continues to work fine on a Hardy machine. Here is the dmesg for
> it:
>
> [ 6722.944029] usb 5-5: new high speed USB device using ehci_hcd and
> address 27
> [ 6723.077863] usb 5-5: configuration #1 chosen from 1 choice
> [ 6723.079511] hub 5-5:1.0: USB hub found
> [ 6723.080345] hub 5-5:1.0: 4 ports detected
> [ 6732.712034] usb 5-5: reset high speed USB device using ehci_hcd and
> address 27
> [ 6733.124011] usb 5-5.1: new high speed USB device using ehci_hcd and
> address 28
> [ 6733.364598] usb 5-5.1: configuration #1 chosen from 1 choice
> [ 6733.365180] scsi17 : SCSI emulation for USB Mass Storage devices
> [ 6733.365818] usb-storage: device found at 28
> [ 6733.365830] usb-storage: waiting for device to settle before scanning
> [ 6738.364276] usb-storage: device scan complete
> [ 6738.361002] scsi 17:0:0:0: Direct-Access ST340063 2A
> 3.04 PQ: 0 ANSI: 0
> [ 6738.361002] sd 17:0:0:0: [sdm] 781422769 512-byte hardware sectors
> (400088 MB)
> [ 6738.361002] sd 17:0:0:0: [sdm] Write Protect is off
> [ 6738.361002] sd 17:0:0:0: [sdm] Mode Sense: 03 00 00 00
> [ 6738.361002] sd 17:0:0:0: [sdm] Assuming drive cache: write through
> [ 6738.361002] sd 17:0:0:0: [sdm] 781422769 512-byte hardware sectors
> (400088 MB)
> [ 6738.370354] sd 17:0:0:0: [sdm] Write Protect is off
> [ 6738.370362] sd 17:0:0:0: [sdm] Mode Sense: 03 00 00 00
> [ 6738.370365] sd 17:0:0:0: [sdm] Assuming drive cache: write through
> [ 6738.371516] sdm: sdm1
> [ 6738.418089] sd 17:0:0:0: [sdm] Attached SCSI disk
> [ 6738.418995] sd 17:0:0:0: Attached scsi generic sg8 type 0
> [ 6738.656598] sd 17:0:0:0: [sdm] Sense Key : No Sense [current]
> [ 6738.656614] sd 17:0:0:0: [sdm] Add. Sense: No additional sense
> information
>
> >From there, the last 2 lines about Sense Key and Add Sense repeat over and
> over again.
>
> The 4 port hub that is a part of the enclosure continues to work fine
> though, with a floppy drive, a printer, and another hard drive. I have a
> Vantec NexStar 3 enclosure as well, and it is working just fine. Dmesg for
> the working enclosure:
>
> [ 4281.996024] usb 5-3: new high speed USB device using ehci_hcd and
> address 19
> [ 4282.131863] usb 5-3: configuration #1 chosen from 1 choice
> [ 4282.133222] scsi12 : SCSI emulation for USB Mass Storage devices
> [ 4282.133561] usb-storage: device found at 19
> [ 4282.133566] usb-storage: waiting for device to settle before scanning
> [ 4287.132002] usb-storage: device scan comp...

Read more...

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the report. The bug has been fixed in newer releases of Ubuntu.

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Invalid
Robert (robrwo) wrote :

It's not been fixed for me!

On 8 May 2010, at 00:07, Alex Valavanis <email address hidden>
wrote:

> Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the
> report. The bug has been fixed in newer releases of Ubuntu.
>
> ** Changed in: linux (Ubuntu Intrepid)
> Status: Fix Committed => Invalid
>
> --
> USB Hard Drive Not Accessible, vol_id hangs
> https://bugs.launchpad.net/bugs/264789
> You received this bug notification because you are a direct subscriber
> of the bug.

Changed in linux:
importance: Unknown → Medium
Displaying first 40 and last 40 comments. View all 191 comments or add a comment.